API · EN
API · EN

Start

IntroductionQuickstartAuthenticationCore concepts

Guides

Uploading callsGetting resultsWebhooksPagination and search

Details

ErrorsRate limits and billing
API reference
List analysis templatesGETCreate an analysis templatePOSTGet an analysis templateGETUpdate an analysis templatePUTDelete an analysis templateDELETEActivate an analysis templatePOSTDeactivate an analysis templatePOST
aftertalk.coPricingContactPolski
API referenceAnalysis templates

Create an analysis template

POST/v1/projects/{projectId}/analysis-templates

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

*/*

curl -X POST "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/analysis-templates" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "fields": []  }'
{  "id": "string",  "userId": "string",  "name": "string",  "description": "string",  "isActive": true,  "fields": [    {      "id": "string",      "label": "string",      "prompt": "string",      "answerType": "TEXT",      "options": [        "string"      ],      "isRequired": true,      "displayOrder": 0    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

List analysis templatesGET

Previous Page

Get an analysis templateGET

Next Page

name*string
Length0 <= length <= 200
description?string
fields*array<>
Items0 <= items <= 20